- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# FCDSceneNodeTools Namespace Reference

A set of tools that operates or modifies visual scene nodes. More...

## Functions
FCOLLADA_EXPORT void | GenerateSampledAnimation (FCDSceneNode *sceneNode)
| Generate a list of matrices, with corresponding key times that represent an animation curve for the local transform of a scene node.
FCOLLADA_EXPORT const FloatList & | GetSampledAnimationKeys ()
| Retrieves the generated sampled animation curve's keys.
FCOLLADA_EXPORT const FMMatrix44List & | GetSampledAnimationMatrices ()
| Retrieves the generated sampled animation curve's values.
FCOLLADA_EXPORT void | ClearSampledAnimation ()
| Frees up the memory used by any previous call to GenerateSampledAnimation.

## Detailed Description

A set of tools that operates or modifies visual scene nodes.

## Function Documentation

FCOLLADA_EXPORT void FCDSceneNodeTools::ClearSampledAnimation | ( |  | ) |

| Frees up the memory used by any previous call to GenerateSampledAnimation. It is recommended, but not necessary, to call this function after retrieving and copying locally the keys and values for the generated sampled animation curve.

FCOLLADA_EXPORT void FCDSceneNodeTools::GenerateSampledAnimation | ( | FCDSceneNode * | sceneNode | ) |

  | Generate a list of matrices, with corresponding key times that represent an animation curve for the local transform of a scene node. This function will permanently modify the transforms of this visual scene node. Because of DLL support, this function was split into four functions and only one animation curve is available at one time within this namespace. First, call GenerateSampledAnimation. Then, call GetSampledAnimationKeys and GetSampledAnimationMatrices to process or retrieve the resulting animation curve. Finally, optionally call ClearSampledAnimation in order to free up the internal memory buffers. Every call to GenerateSampledAnimation start by calling ClearSampledAnimation. Parameters:
  | sceneNode | The scene node.

FCOLLADA_EXPORT const FloatList& FCDSceneNodeTools::GetSampledAnimationKeys | ( |  | ) |

| Retrieves the generated sampled animation curve's keys. See also: GenerateSampledAnimation. Returns: The generated sampled animation curve's keys.

FCOLLADA_EXPORT const FMMatrix44List& FCDSceneNodeTools::GetSampledAnimationMatrices | ( |  | ) |

| Retrieves the generated sampled animation curve's values. See also: GenerateSampledAnimation. Returns: The generated sampled animation curve's values.